Subject: Re: [PATCH 0/5] "status --ignored"

From: Eric Raymond <[email-masked]>
Date: Sat, 10 Apr 2010 10:41:49 -0400

Jeff King <[email-masked]>:
> On Sat, Apr 10, 2010 at 12:48:49AM -0700, Junio C Hamano wrote:
> 
> > Jeff King <[email-masked]> writes:
> > 
> > > +	dir.flags |= DIR_COLLECT_IGNORED;
> > 
> > I thought about using collect-ignored so that fill_directory() does not
> > have to be run twice, but IIRC it can short-circuit an entire directory
> > using the "simplify" logic (as it was designed to be used for "git add"),
> > no?
> 
> Hmm.  I didn't consider that. It may be sufficient to say "foo/ is
> ignored" and let callers decide for themselves that "foo/bar" is
> ignored, too (unless, of course, it appears as tracked earlier in the
> list).

Speaking as  a front-end author, I would prefer that all ignored paths 
be listed so I don't have to do globbing.
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>